Page MenuHomePhabricator

Unnamed ref tags emptied of their contents
Closed, ResolvedPublic

Description

In the following edit, the contents of existing ref tags was deleted by VE, making the ref tags invalid (big red messages displayed in the article). VE shouldn't be able to end up with empty unnamed ref tags.

https://fr.wikipedia.org/w/index.php?title=Jack_Nicholson&diff=112923205&oldid=112909463

Event Timeline

NicoV created this task.Mar 19 2015, 5:55 PM
NicoV raised the priority of this task from to Needs Triage.
NicoV updated the task description. (Show Details)
NicoV added a subscriber: NicoV.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 5:55 PM
GWicke set Security to None.
GWicke added subscribers: ssastry, cscott, Arlolra and 2 others.
GWicke added a subscriber: GWicke.
Elitre added a subscriber: Elitre.Mar 19 2015, 10:24 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.Mar 19 2015, 11:50 PM

Change 198152 had a related patch set uploaded (by Subramanya Sastry):
Don't strip id attributes from DOM nodes -- required for <ref> tags

https://gerrit.wikimedia.org/r/198152

Change 198152 merged by jenkins-bot:
Don't strip id attributes from DOM nodes -- required for <ref> tags

https://gerrit.wikimedia.org/r/198152

Jdforrester-WMF closed this task as Resolved.Mar 20 2015, 1:19 AM
Jdforrester-WMF assigned this task to ssastry.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q3 blockers board.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 1 2015, 4:13 PM